# Top Net Impact `GET` `https://api.unusualwhales.com/api/market/top-net-impact` Returns the top tickers by net premium (half bullish, half bearish). Defaults to last market day. These tickers are representing the tickers which had the most influence in the [market tide](https://api.unusualwhales.com/docs/operations/PublicApi.MarketController.market_tide). ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | | `issue_types[]` | Issue types | No | An array of 1 or more issue types. | | `limit` | Default 20 Max 100 Min 1 | No | How many items to return. Default: 20. Max: 100. Min: 1. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `net_premium` | number | Net premium (net_call_premium - net_put_premium) | | `ticker` | Stock Ticker | The stock ticker. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/market/top-net-impact" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/market/top-net-impact", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "net_premium": 2.5e6, "ticker": "AAPL" }, { "net_premium": 1.2e6, "ticker": "MSFT" }, { "net_premium": -1.8e6, "ticker": "TSLA" }, { "net_premium": -9.0e5, "ticker": "QQQ" } ] } ```